﻿

$ErrorActionPreference = 'Stop'; 
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url        = 'https://dl.google.com/go/go1.11.5.windows-386.msi' 
$url64      = 'https://dl.google.com/go/go1.11.5.windows-amd64.msi' 

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'msi' 
  url           = $url
  url64bit      = $url64

  softwareName  = 'golang*' 

  checksum      = '99134873cfdea0497eace567718e5c9a23b44e0ded29783c26145336ac8d525f'
  checksumType  = 'sha256' 
  checksum64    = '01058e46f14f16d2817c762963dbd787b8326c421573bac1624cf7afbbbd499b'
  checksumType64= 'sha256' 

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`"" 
  validExitCodes= @(0, 3010, 1641)

}

Install-ChocolateyPackage @packageArgs 
